Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m frustrated

New error The provider supports the interface, but returns a failure code when it is used.

Currently getting a new error I have not seen yet

OLE DB provider "DBAmp.DBAmp" for linked server "SALESFORCE" returned message "Error 1 : INVALID_OPERATION_WITH_EXPIRED_PASSWORD: The users password has expired, you must call SetPassword before attempting any other API operations".
Msg 7311, Level 16, State 2, Line 5
Cannot obtain the schema rowset "DBSCHEMA_TABLES_INFO" for OLE DB provider "DBAmp.DBAmp" for linked server "SALESFORCE". The provider supports the interface, but returns a failure code when it is used.

The linked Server says that its connected.
1 person has
this problem
+1
Reply